Skip to content

CEO budget reallocation

POST
/api/v1/coordination/budgets/reallocate

Move budget between two agents within a pool (CEO-initiated).

Authorizations

Request Body required

Request body for CEO budget reallocation.

Attributes: from_agent: Agent giving up budget. to_agent: Agent receiving budget. pool_name: The shared pool. amount: Amount to move.

object
amount
required

Amount to move (decimal string)

string
from_agent
required

Agent giving up budget

string
pool_name
required

The shared pool

string
to_agent
required

Agent receiving budget

string

Responses

200

Successful Response

Response for CEO budget reallocation.

object
from_balance
required
object
key
additional properties
any
to_balance
required
object
key
additional properties
any

422

Validation Error

object
detail
Array<object>
object
ctx
object
input
loc
required
Array
msg
required
string
type
required
string